"""
2021.5.20 create by kefeng.zheng
商户配置实例
"""

from basepay_sdk.basepay import BasePay
from demo_constants import demo_constants

'''
单套配置
默认为单商户配置，配置key默认为default，上送报文时无需指定配置key
'''
BasePay.init(
{
'product_id': demo_constants.DEMO_PRODUCT_ID,
"sys_id": demo_constants.DEMO_SYS_ID,
'rsa_private_key': demo_constants.RSA_PRIVATE_KEY,
'rsa_public_key': demo_constants.RSA_PUBLIC_KEY
})

'''
多套配置
如商户因特殊需要，申请多套配置，则需自行做好配置管理，上送报文时需明确指定使用哪套商户配置
'''
BasePay.init_with_multi_mer_configs(
{
	"merchantKey1" :
		{
			'product_id': demo_constants.DEMO_PRODUCT_ID,
			"sys_id": demo_constants.DEMO_SYS_ID,
			'rsa_private_key': demo_constants.RSA_PRIVATE_KEY,
			'rsa_public_key': demo_constants.RSA_PUBLIC_KEY
		},
	"merchantKey2" :
		{
			'product_id': demo_constants.DEMO_PRODUCT_ID,
			"sys_id": demo_constants.DEMO_SYS_ID,
			'rsa_private_key': demo_constants.RSA_PRIVATE_KEY,
			'rsa_public_key': demo_constants.RSA_PUBLIC_KEY
		},
	}
)
