"""
更新商户花呗贴息接口调用实例
"""
import sys

import os

# 得到当前根目录
o_path = os.getcwd() # 返回当前工作目录
sys.path.append(o_path) # 添加当前目录，当前目录为basepay_demo的上一级时可导入basepay_sdk
sys.path.append('..') # 添加上一级目录，当前目录为basepay_demo下时，可导入basepay_sdk

from basepay_sdk.basepay_client import BasePayClient
from basepay_sdk.basepay import BasePay

import logging
import json
import datetime
import time

# 商户配置初始化
from demo_constants import demo_constants
import init_merchant_config

# 调试模式，默认False关闭，打开后输出日志供联调排查问题
BasePay.debug = True
# 生产模式，默认为True生产环境
BasePay.prod_mode = True


req_date = datetime.datetime.now().strftime('%Y%m%d')
now_datetime = datetime.datetime.now().strftime('%Y%m%d%H%M%S')
req_seq_id = now_datetime + "01234567890"
# mer_ord_id = now_datetime + "1234567890"
mer_ord_id = req_seq_id;
time_expire = (datetime.datetime.now() + datetime.timedelta(minutes=2)).strftime('%Y%m%d%H%M%S')
request_param = {
    # 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
    "req_seq_id" : req_seq_id,
    # 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天
    "req_date": req_date,
    # 系统号，由汇付分配
    "sys_id": demo_constants.DEMO_SYS_ID,
    # 产品号
    "product_id": demo_constants.DEMO_PRODUCT_ID,
    # 分配商户号
    "huifu_id": demo_constants.DEMO_SYS_ID,

	#花呗活动信息
	"solution_id": "mixed20210527000208590000000000265504",
	"activity_name": "零利息2-修改",
	"start_time": "2021-05-28 00:00:00",
	"end_time": "2022-08-08 00:00:00",
	"min_money_limit": "1000",
	"max_money_limit": "3000",
	"amount_budget": "60000",
	"install_num_str_list": ["3","6","12"],
	"budget_warning_money": "58000",
	"budget_warning_mail_list": ["11221@alipay.com","1112@alipay.com"],
	"budget_warning_mobile_no_list": ["13940001120","13940001121"]
}

# 调用更新商户花呗贴息接口
try:
	post_result = BasePayClient.post_request('ssproxy.pcredit.modifyHbPcreditSolution', request_param)
	# 如果需要套用指定配置调用接口，请参考以下
	# post_result = BasePayClient.post_request('ssproxy.pcredit.modifyHbPcreditSolution', request_param, 'merchantKey2')
except Exception as e:
	print(str(e))
	sys.exit()

sub_resp_code = post_result.get('sub_resp_code', '')
success = post_result.get('success', False)
if (sub_resp_code == '00000000'):
	if(success):
		print('更新成功')
	else:
		print ('处理失败:' + post_result.get('sub_msg', ''))
#elif (sub_resp_code == '90000000'):
#	print('审核中')
else:
	print ('处理失败:' + post_result.get('sub_resp_desc', ''))
	
