"""
商户信息修改接口调用实例
"""
import sys

import os

# 得到当前根目录
o_path = os.getcwd() # 返回当前工作目录
sys.path.append(o_path) # 添加当前目录，当前目录为basepay_demo的上一级时可导入basepay_sdk
sys.path.append('..') # 添加上一级目录，当前目录为basepay_demo下时，可导入basepay_sdk

from basepay_sdk.basepay_client import BasePayClient
from basepay_sdk.basepay import BasePay

import logging
import json
import datetime
import time

# 商户配置初始化
from demo_constants import demo_constants
import init_merchant_config

# 调试模式，默认False关闭，打开后输出日志供联调排查问题
BasePay.debug = True
# 生产模式，默认为True生产环境
BasePay.prod_mode = True

#涉及安全，这里对敏感数据进行脱敏了，如果需要看进件成功测试效果，请用真实数据测试
certName = "王明**"
certNo = "******"
cardNo = "6217880800006078416"

req_date = datetime.datetime.now().strftime('%Y%m%d')
now_datetime = datetime.datetime.now().strftime('%Y%m%d%H%M%S')
req_seq_id = now_datetime + "01234567890"
# mer_ord_id = now_datetime + "1234567890"
mer_ord_id = req_seq_id;
time_expire = (datetime.datetime.now() + datetime.timedelta(minutes=2)).strftime('%Y%m%d%H%M%S')
request_param = {
    # 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
    "req_seq_id" : req_seq_id,
    # 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天
    "req_date": req_date,
    # 系统号，由汇付分配
    "sys_id": demo_constants.DEMO_SYS_ID,
    # 产品号
    "product_id": demo_constants.DEMO_PRODUCT_ID,
    # 分配商户号
    "huifu_id": demo_constants.DEMO_HUIFU_ID,
	     #商铺基本信息
		"upper_huifu_id": demo_constants.DEMO_SYS_ID,
		"short_name": "悠佰佳休闲食品商行",
      
        #营业执照信息
		"license_validity_type": "1",
		"license_begin_date": "20190603",
		"license_end_date": "",
		"reg_prov_id": "310000",
		"reg_area_id": "310100",
		"reg_district_id": "310115",
		"reg_detail":"浦东新区长清路1881号一层",
		
        #营业执照法人信息
		"legal_name":"certName",
		"legal_cert_type":"00",
		"legal_cert_no":certNo,
		"legal_cert_validity_type":"1",
		"legal_cert_begin_date":"20121201",
		"legal_cert_end_date":"20301201",
		"prov_id":"310000",
		"area_id":"310100",
		"district_id":"310115",
		"detail_addr":"浦东新区长清路1881号一层",
		"contact_name":"联系人",
		"contact_mobile_no":"13661955468",
		"contact_email":"jeff.peng@huifu.com",
		"service_phone":"021-121111221",
		"busi_type":"1",
		"receipt_name":"悠佰佳休闲食品商行",
		"mcc":"5411",
		"async_return_url":"http://ip/sspm/testVirgo",
		
        #结算配置
		"settle_config":{
			"settle_status":"1",
			"settle_cycle":"T1"
		},
       
        #取现配置
		"cash_config":[{
			"cash_type":"T1",
			"fix_amt":"0.01"
		}],

        #结算卡配置
		"card_info":{
			"card_type":"0",
			"card_name":"上海市浦东新区东明路街道悠佰佳休闲食品商行",
			"card_no":cardNo,
			"prov_id":"310000",
			"area_id":"310100",
			"bank_code":"01030000",
			"branch_code":"103290040169",
			"branch_name":"中国农业银行股份有限公司上海马当路支行",
			"cert_type":"00",
			"cert_no":certNo,
			"cert_validity_type":"1",
			"cert_begin_date":"20121201",
			"cert_end_date":"20301201",
			"mp":"13700000214"
		}
}

# 调用商户信息修改接口
try:
	post_result = BasePayClient.post_request('ssproxy.merModify', request_param)
	# 如果需要套用指定配置调用接口，请参考以下
	# post_result = BasePayClient.post_request('ssproxy.merModify', request_param, 'merchantKey2')
except Exception as e:
	print(str(e))
	sys.exit()

sub_resp_code = post_result.get('sub_resp_code', '')

if (sub_resp_code == '00000000'):
	print('处理成功')
elif (sub_resp_code == '90000000'):
	print('审核中')
else:
	print ('处理失败:' + post_result.get('sub_resp_desc', ''))
	
