"""
商户业务开通接口调用实例
"""
import sys

import os

# 得到当前根目录
o_path = os.getcwd() # 返回当前工作目录
sys.path.append(o_path) # 添加当前目录，当前目录为basepay_demo的上一级时可导入basepay_sdk
sys.path.append('..') # 添加上一级目录，当前目录为basepay_demo下时，可导入basepay_sdk

from basepay_sdk.basepay_client import BasePayClient
from basepay_sdk.basepay import BasePay

import logging
import json
import datetime
import time

# 商户配置初始化
from demo_constants import demo_constants
import init_merchant_config

# 调试模式，默认False关闭，打开后输出日志供联调排查问题
BasePay.debug = True
# 生产模式，默认为True生产环境
BasePay.prod_mode = True


req_date = datetime.datetime.now().strftime('%Y%m%d')
now_datetime = datetime.datetime.now().strftime('%Y%m%d%H%M%S')
req_seq_id = now_datetime + "01234567890"
# mer_ord_id = now_datetime + "1234567890"
mer_ord_id = req_seq_id;
time_expire = (datetime.datetime.now() + datetime.timedelta(minutes=2)).strftime('%Y%m%d%H%M%S')
request_param = {
    # 请求流水号，需保证当天商户下唯一，推荐采用日期时间+几位流水号的形式
    "req_seq_id" : req_seq_id,
    # 请求日期，请求接口的日期，因服务器时间可能有差异，允许前后1天
    "req_date": req_date,
    # 系统号，由汇付分配
    "sys_id": demo_constants.DEMO_SYS_ID,
    # 产品号
    "product_id": demo_constants.DEMO_PRODUCT_ID,
    # 分配商户号
    "huifu_id": demo_constants.DEMO_HUIFU_ID,
	"upper_huifu_id":demo_constants.DEMO_SYS_ID,
	
        #支付宝入驻
		"ali_conf_list":[{
			"pay_scene":"1",
			"fee_rate":"0.01",
			"mcc":"2015091000052157"
		}],
      
        #微信入驻
		"wx_conf_list":[{
			"pay_scene":"1",
			"fee_rate":"0.01",
			"fee_rule_id":"762"
		},{
			"pay_scene":"3",
			"fee_rate":"0.03",
			"fee_rule_id":"762"
		},{
			"pay_scene":"2",
			"fee_rate":"0.11",
			"fee_rule_id":"762"
		}],
       
        #银行卡开通
		"bank_card_conf":{
			"mcc":"5411",
			"debit_fee_rate":"0.01",
			"debit_fee_limit":"18",
			"credit_fee_rate":"0.55",
			"cloud_debit_fee_rate_up":"0.55",
			"cloud_debit_fee_limit_up":"18",
			"cloud_credit_fee_rate_up":"0.55",
			"cloud_debit_fee_rate_down":"0.38",
			"cloud_credit_fee_rate_down":"0.38",
			"is_open_small_flag":"0",
			"small_free_amt":"300",
			"small_fee_amt":"0.11"
		},
        
        #银联开通
		"union_conf_list":[{
			"mcc":"5411",
			"credit_fee_rate_down":"0.38",
			"credit_fee_rate_up":"0.58",
			"debit_fee_limit_up":"18",
			"debit_fee_rate_down":"0.38",
			"debit_fee_rate_up":"0.58"
		}],
     
        #分期业务
		"hb_fq_fee_config":{
			"pay_scene":"1",
			"six_period":"4.5000",
			"acq_six_period":"2.16"
		},
		"async_return_url":"http://异步通知接收地址",
		"quick_flag":"Y",
		#"withhold_flag":"Y",
		"online_flag":"Y",
		"alipay_pre_auth_flag":"Y",
	
       "balance_pay_config":{
			"fee_rate":"0.01",
			"fee_fix_amt":"0.01"
		}
}

# 调用商户业务开通接口
try:
	post_result = BasePayClient.post_request('ssproxy.regMerBusiInfo', request_param)
	# 如果需要套用指定配置调用接口，请参考以下
	# post_result = BasePayClient.post_request('ssproxy.regMerBusiInfo', request_param, 'merchantKey2')
except Exception as e:
	print(str(e))
	sys.exit()

sub_resp_code = post_result.get('sub_resp_code', '')

if (sub_resp_code == '00000000'):
	print('处理成功')
elif (sub_resp_code == '90000000'):
	print('审核中')
else:
	print ('处理失败:' + post_result.get('sub_resp_desc', ''))
	
